Package net.shibboleth.idp.plugin.authn.webauthn.client

# Interface WebAuthnAuthenticationClientFactory

public interface WebAuthnAuthenticationClientFactory
Abstract factory for creating singleton `WebAuthnAuthenticationClient` instances.

## Method Summary

Modifier and Type
Method
Description
`WebAuthnAuthenticationClient`
`createInstance()`
Create an `WebAuthnAuthenticationClient` instance.

## Method Details

### createInstance

@Nonnull WebAuthnAuthenticationClient createInstance() throws WebAuthnAuthenticationClientException
Create an `WebAuthnAuthenticationClient` instance.

Returns:
  the client, never `null`.
Throws:
  `WebAuthnAuthenticationClientException` - if there is an error creating the client.